# Generated by Django 3.2.20 on 2023-09-21 08:22

from django.db import migrations, models


# pylint: disable=unused-argument
def set_default_appointment_only(apps, schema_editor):
    """
    Set default value for appointmentOnly

    :param apps: The configuration of installed applications
    :type apps: ~django.apps.registry.Apps

    :param schema_editor: The database abstraction layer that creates actual SQL code
    :type schema_editor: ~django.db.backends.base.schema.BaseDatabaseSchemaEditor
    """
    POI = apps.get_model("cms", "POI")
    for obj in POI.objects.all():
        for item in obj.opening_hours:
            item["appointmentOnly"] = False
        obj.save()


class Migration(migrations.Migration):
    """
    Add field for setting appointment link and
    set default appointment only opening hours for all existing POIs
    """

    dependencies = [
        ("cms", "0080_alter_poi_category"),
    ]

    operations = [
        migrations.AddField(
            model_name="poi",
            name="appointment_url",
            field=models.URLField(
                blank=True,
                help_text="Link to an external website where an appointment for this location can be made.",
                max_length=500,
                verbose_name="appointment link",
            ),
        ),
        migrations.RunPython(set_default_appointment_only),
    ]
